(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      7778,        214]
NotebookOptionsPosition[      6887,        192]
NotebookOutlinePosition[      7321,        209]
CellTagsIndexPosition[      7278,        206]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.8199749238028493`*^9, 
  3.819974935536437*^9}},ExpressionUUID->"e2974e42-ab85-417b-ae68-\
d3ca546e1c16"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"Automata", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Alpha]1", "=", 
   RowBox[{"{", 
    RowBox[{
    "a", ",", "a", ",", "b", ",", "b", ",", "b", ",", "b", ",", "a", ",", "b",
      ",", "a", ",", "a", ",", "b", ",", "a", ",", "b", ",", "a", ",", "a", 
     ",", "a", ",", "a", ",", "a", ",", "a", ",", "a"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A", ",", "\[Alpha]1"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A", ",", "\[Alpha]1", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Alpha]2", "=", 
   RowBox[{"{", 
    RowBox[{
    "a", ",", "a", ",", "a", ",", "a", ",", "a", ",", "b", ",", "b", ",", "a",
      ",", "a", ",", "a", ",", "b", ",", "b", ",", "a", ",", "a", ",", "b", 
     ",", "b", ",", "b", ",", "b", ",", "a", ",", "a"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A", ",", "\[Alpha]2"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A", ",", "\[Alpha]2", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.819994370947709*^9, 3.819994400588317*^9}, {
  3.8199944674389706`*^9, 3.81999457376061*^9}, {3.8199948144508734`*^9, 
  3.819994825605114*^9}, {3.819994894484734*^9, 3.8199949861386485`*^9}},
 CellLabel->
  "In[121]:=",ExpressionUUID->"2f17184b-81da-488d-85b1-6098be3fdca5"],

Cell[BoxData["False"], "Output",
 CellChangeTimes->{
  3.819994920758246*^9, {3.819994959487179*^9, 3.8199949864411645`*^9}, 
   3.819998781856292*^9},
 CellLabel->
  "Out[123]=",ExpressionUUID->"bf4672ea-04df-4592-b931-32be69ca95aa"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"False", ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.819994920758246*^9, {3.819994959487179*^9, 3.8199949864411645`*^9}, 
   3.8199987818582907`*^9},
 CellLabel->
  "Out[124]=",ExpressionUUID->"5d3befd1-3a7c-46b2-ab0d-a70fd54ce026"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.819994920758246*^9, {3.819994959487179*^9, 3.8199949864411645`*^9}, 
   3.8199987818602824`*^9},
 CellLabel->
  "Out[126]=",ExpressionUUID->"6b48be2b-ad7d-4dd9-97dc-6773e581152a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.819994920758246*^9, {3.819994959487179*^9, 3.8199949864411645`*^9}, 
   3.81999878186427*^9},
 CellLabel->
  "Out[127]=",ExpressionUUID->"0a6195dc-fc9c-4880-99e0-5ae084d20bd2"]
}, Open  ]]
},
WindowSize->{949.5, 478.},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.2 para Microsoft Windows (64-bit) (December 12, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"5ba469ff-2b55-4c5e-872e-231d8c1374f3"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 182, 4, 42, "Input",ExpressionUUID->"e2974e42-ab85-417b-ae68-d3ca546e1c16"],
Cell[CellGroupData[{
Cell[765, 28, 3245, 83, 320, "Input",ExpressionUUID->"2f17184b-81da-488d-85b1-6098be3fdca5"],
Cell[4013, 113, 234, 5, 48, "Output",ExpressionUUID->"bf4672ea-04df-4592-b931-32be69ca95aa"],
Cell[4250, 120, 1192, 30, 78, "Output",ExpressionUUID->"5d3befd1-3a7c-46b2-ab0d-a70fd54ce026"],
Cell[5445, 152, 235, 5, 48, "Output",ExpressionUUID->"6b48be2b-ad7d-4dd9-97dc-6773e581152a"],
Cell[5683, 159, 1188, 30, 94, "Output",ExpressionUUID->"0a6195dc-fc9c-4880-99e0-5ae084d20bd2"]
}, Open  ]]
}
]
*)

